package at.bestsolution.rsd.rt.client.rest;

public abstract class SimpleRestServiceDescription implements RestServiceDescription {
	private final Class<?> type;
	private final String name;
	
	public SimpleRestServiceDescription(String name, Class<?> type) {
		this.type = type;
		this.name = name;
	}
	
	@Override
	public Class<?> type() {
		return type;
	}

	@Override
	public String endpoint() {
		return name + "-rest-war/rest/"+type.getSimpleName().toLowerCase();
	}

}
